// creator  : weidu.exe (version 23100)
// argument : KYLIE1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~KYLIE1~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 16 23 even though they appear after this state */
~True()~ THEN BEGIN 0 // from:
  SAY #20026 /* ~Ho, there, friend!  I've a fine barrel of wares for you to peruse, if you but care to stop a moment!~ */
  IF ~~ THEN REPLY #20027 /* ~Very well, let's see what you have to sell.~ */ GOTO 1
  IF ~~ THEN REPLY #20028 /* ~I'm not interested in anything.~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #20029 /* ~You are most gracious.  Look upon the finest assortment of turnips in Athkatla!  Red and gold from the South, even the blue turnips of the North!  All fresh!~ */
  IF ~~ THEN REPLY #20033 /* ~Are you trying to tell me that all you have to sell is turnips?~ */ GOTO 5
  IF ~~ THEN REPLY #20034 /* ~I'm not interested in buying turnips.~ */ GOTO 7
  IF ~~ THEN REPLY #20035 /* ~Excuse me, I think I must be going, now.~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #20032 /* ~Oh, but I am sure you would be interested if you were but aware!  Look, here... turnips of all sorts and varieties.  Is that not the true spice of the exotic?~ */
  IF ~~ THEN REPLY #20036 /* ~You sell turnips?~ */ GOTO 5
  IF ~~ THEN REPLY #20037 /* ~Uh... excuse me, I'll be on my way.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 6.1 2.1 1.2
  SAY #20038 /* ~Leave if you must, but as you lie in your soft bed tonight and the urgent cravings for turnips overcomes you, you'll be coming back to find me, you will.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #20040 /* ~'Where is that Kylie Jansen?', you'll ask, your stomach tightening with anticipation of turnip pleasure.  My stock will be gone by then... a sad thing, indeed.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 2.0 1.0
  SAY #20042 /* ~And why not sell turnips? Delighting the palate of the young and old with flavours of distinction and subtlety, the turnip has so many uses it boggles the mind!~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #20045 /* ~Why, you have turnip stew.  Boiled turnips, turnip salad, turnip and eggs!  You can string turnips together and make a turnip necklace.~ */
  IF ~~ THEN REPLY #20047 /* ~Um... I'm really not interested in turnips, actually.~ */ GOTO 7
  IF ~~ THEN REPLY #20048 /* ~I think it's time I left.~ */ GOTO 3
END

IF ~~ THEN BEGIN 7 // from: 6.0 1.1
  SAY #20052 /* ~Ah, a sad state to lack interest in something so wonderful.  I think that Kylie can see within you, however, an eye for more adventurous things, yes?~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #20054 /* ~My Uncle Furnbottom once had an eye for adventure.  Finest looking gnome you ever saw in his shiny golden armor as he raised his sword on high!~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #20056 /* ~A wonderful memory... until he attracted a griffon with all that shiny armor. The griffon would have enjoyed a plate of turnips more than stringy old Uncle Furnbottom.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #20060 /* ~He put up quite the fight going down.  Not unlike a bad turnip, especially if you don't wash it in a spring.  Hmm.  I've lost track of where I was going with this...~ */
  IF ~!InParty("Jan")
!Dead("Jan")~ THEN REPLY #20065 /* ~Uh... well, I -~ */ GOTO 11
  IF ~InParty("Jan")~ THEN REPLY #61026 /* ~Uh... well, I -~ */ GOTO 21
  IF ~!InParty("Jan")
Dead("Jan")~ THEN REPLY #61033 /* ~Uh... well, I -~ */ GOTO 24
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #20061 /* ~Oh yes!  Adventure!  I suppose a fine <LADYLORD> like yourself wouldn't be interested in a turnip necklace?  You should seek out my cousin, Jan.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #20062 /* ~A wonderful turnip seller, but one can't sell vegetables exclusively.  He might have something more along your line of interest... or is he selling footstools now?~ */
  IF ~~ THEN REPLY #20066 /* ~And where might I find this Jan fellow?~ */ GOTO 14
  IF ~~ THEN REPLY #20068 /* ~Er, thank you... I think I have to be going, now.~ */ GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 15.0 12.1
  SAY #20070 /* ~Well, don't you forget, now.  Jan Jansen: he'll have what a fine adventuresome sort like yourself is looking for.  Just tell him Cousin Kylie sent you!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 14 // from: 12.0
  SAY #20073 /* ~An awfully good question.  He used to have a shop until that business with the pudding.  Jan sells his wares from the streets, much as I do.   A fine tradition.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #20083 /* ~He's hard to miss.  He's usually in the Government District... better coin there. Not many gnomes wandering the streets of Athkatla, anyway.~ */
  IF ~~ THEN REPLY #20084 /* ~Yes, well, perhaps I'll try to find him.  Good day to you.~ */ GOTO 13
END

IF WEIGHT #0 ~InParty("Jan")
See("Jan")
!Dead("Jan")
!StateCheck("Jan",STATE_SLEEPING)
Global("JanKylie","LOCALS",0)~ THEN BEGIN 16 // from:
  SAY #20088 /* ~Well if it isn't my dear cousin Jan!~ */
  IF ~~ THEN DO ~SetGlobal("JanKylie","LOCALS",1)~ EXTERN ~JANJ~ 49
END

IF ~~ THEN BEGIN 17 // from: JANJ:49.0
  SAY #20092 /* ~Better than some days, Jan.  Your good friend here didn't see the romance of the turnips, however, and didn't buy one.~ */
  IF ~~ THEN EXTERN ~JANJ~ 50
END

IF ~~ THEN BEGIN 18 // from: JANJ:50.0
  SAY #20094 /* ~That's better.  Which reminds me, cousin, that you simply don't visit home enough.~ */
  IF ~~ THEN EXTERN ~JANJ~ 51
END

IF ~~ THEN BEGIN 19 // from: JANJ:51.0
  SAY #20096 /* ~Don't you patronize me, Jan Jakobar Jansen!  What kind of gnome doesn't visit his home once in a while!~ */
  IF ~~ THEN EXTERN ~JANJ~ 52
END

IF ~~ THEN BEGIN 20 // from: JANJ:52.0
  SAY #20100 /* ~Hmph!~ */
  IF ~~ THEN EXTERN ~JANJ~ 53
END

IF ~~ THEN BEGIN 21 // from: 10.1
  SAY #61027 /* ~Oh yes!  Adventure!  But I suppose you must know all about that with Uncle Jan in your party.  Never has there been a gnome with such a nose for trouble.~ */
  IF ~!IsValidForPartyDialog("Jan")~ THEN EXIT
  IF ~IsValidForPartyDialog("Jan")~ THEN EXTERN ~JANJ~ 183
END

IF ~~ THEN BEGIN 22 // from: JANJ:183.0
  SAY #61029 /* ~I wouldn't if I were you.  I'm including Uncle Scratchy in that list, cousin.  But I suppose you'll be fine... so long as you don't kill your friends, here.~ */
  IF ~~ THEN EXTERN ~JANJ~ 184
END

IF WEIGHT #1 ~Global("JanKylie","LOCALS",1)
IsGabber("Jan")~ THEN BEGIN 23 // from:
  SAY #61031 /* ~A good <DAYNIGHTALL> to you, cousin.  Here... have a turnip.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 24 // from: 10.2
  SAY #61032 /* ~Oh yes!  Adventure!  But you know all about that.  (sigh)  With cousin Jan dead, things just haven't been the same.  I think I need to get some more turnips.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END
